---
references:
- id: AgarwalGeneralization2009
  accessed:
    - year: 2016
      month: 10
      day: 5
  author:
    - family: Agarwal
      given: Shivani
    - family: Niyogi
      given: Partha
  citation-key: AgarwalGeneralization2009
  container-title: Journal of Machine Learning Research
  issued:
    - year: 2009
  page: 441–474
  title: Generalization Bounds for Ranking Algorithms via Algorithmic Stability
  type: paper-conference
  URL: http://machinelearning.wustl.edu/mlpapers/paper_files/jmlr10_agarwal09a.pdf
  volume: '10'

- id: BassilyAlgorithmic2015
  accessed:
    - year: 2018
      month: 11
      day: 5
  author:
    - family: Bassily
      given: Raef
    - family: Nissim
      given: Kobbi
    - family: Smith
      given: Adam
    - family: Steinke
      given: Thomas
    - family: Stemmer
      given: Uri
    - family: Ullman
      given: Jonathan
  citation-key: BassilyAlgorithmic2015
  container-title: arXiv:1511.02513 [cs]
  issued:
    - year: 2015
      month: 11
      day: 8
  title: Algorithmic Stability for Adaptive Data Analysis
  type: article-journal
  URL: http://arxiv.org/abs/1511.02513

- id: BousquetAlgorithmic2001
  accessed:
    - year: 2016
      month: 10
      day: 5
  author:
    - family: Bousquet
      given: Olivier
    - family: Elisseeff
      given: André
  citation-key: BousquetAlgorithmic2001
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2001
  page: 196–202
  publisher: MIT Press
  title: Algorithmic Stability and Generalization Performance
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/1854-algorithmic-stability-and-generalization-performance
  volume: '13'

- id: BousquetStability2002
  accessed:
    - year: 2016
      month: 10
      day: 5
  author:
    - family: Bousquet
      given: Olivier
    - family: Elisseeff
      given: André
  citation-key: BousquetStability2002
  container-title: Journal of Machine Learning Research
  issue: Mar
  issued:
    - year: 2002
  page: 499–526
  title: Stability and generalization
  type: article-journal
  URL: http://www.jmlr.org/papers/v2/bousquet02a.html
  volume: '2'

- id: ChandramoorthyGeneralization2022
  accessed:
    - year: 2022
      month: 8
      day: 23
  author:
    - family: Chandramoorthy
      given: Nisha
    - family: Loukas
      given: Andreas
    - family: Gatmiry
      given: Khashayar
    - family: Jegelka
      given: Stefanie
  citation-key: ChandramoorthyGeneralization2022
  DOI: 10.48550/arXiv.2208.07951
  issued:
    - year: 2022
      month: 8
      day: 19
  number: arXiv:2208.07951
  publisher: arXiv
  title: On the generalization of learning algorithms that do not converge
  type: article
  URL: http://arxiv.org/abs/2208.07951

- id: FreemanStability2006
  author:
    - family: Freeman
      given: R.A.
    - family: Yang
      given: Peng
    - family: Lynch
      given: K.M.
  citation-key: FreemanStability2006
  container-title: 2006 45th IEEE Conference on Decision and Control
  DOI: 10.1109/CDC.2006.377078
  event-place: San Diego, CA, USA
  event-title: 2006 45th IEEE Conference on Decision and Control
  ISBN: 978-1-4244-0171-0
  issued:
    - year: 2006
      month: 12
  page: 338-343
  publisher: IEEE
  publisher-place: San Diego, CA, USA
  title: Stability and Convergence Properties of Dynamic Average Consensus Estimators
  type: paper-conference

- id: GiryesStability2014
  accessed:
    - year: 2014
      month: 12
      day: 25
  author:
    - family: Giryes
      given: Raja
    - family: Sapiro
      given: Guillermo
    - family: Bronstein
      given: Alex M.
  citation-key: GiryesStability2014
  container-title: arXiv:1412.5896 [cs, math, stat]
  issued:
    - year: 2014
      month: 12
      day: 18
  title: On the Stability of Deep Networks
  type: article-journal
  URL: http://arxiv.org/abs/1412.5896

- id: HardtGradient2018
  author:
    - family: Hardt
      given: Moritz
    - family: Ma
      given: Tengyu
    - family: Recht
      given: Benjamin
  citation-key: HardtGradient2018
  container-title: The Journal of Machine Learning Research
  container-title-short: J. Mach. Learn. Res.
  ISSN: 1532-4435
  issue: '1'
  issued:
    - year: 2018
      month: 1
      day: 1
  page: 1025–1068
  title: Gradient descent learns linear dynamical systems
  type: article-journal
  URL: http://arxiv.org/abs/1609.05191
  volume: '19'

- id: HardtTrain2015
  accessed:
    - year: 2015
      month: 9
      day: 5
  author:
    - family: Hardt
      given: Moritz
    - family: Recht
      given: Benjamin
    - family: Singer
      given: Yoram
  citation-key: HardtTrain2015
  container-title: arXiv:1509.01240 [cs, math, stat]
  issued:
    - year: 2015
      month: 9
      day: 3
  title: 'Train faster, generalize better: Stability of stochastic gradient descent'
  type: article-journal
  URL: http://arxiv.org/abs/1509.01240

- id: KutinAlmosteverywhere2002
  accessed:
    - year: 2016
      month: 10
      day: 5
  author:
    - family: Kutin
      given: Samuel
    - family: Niyogi
      given: Partha
  citation-key: KutinAlmosteverywhere2002
  collection-title: UAI'02
  container-title: >-
    Proceedings of the Eighteenth Conference on Uncertainty in Artificial
    Intelligence
  event-place: San Francisco, CA, USA
  ISBN: 978-1-55860-897-9
  issued:
    - year: 2002
  page: 275–282
  publisher: Morgan Kaufmann Publishers Inc.
  publisher-place: San Francisco, CA, USA
  title: Almost-everywhere Algorithmic Stability and Generalization Error
  type: paper-conference
  URL: http://arxiv.org/abs/1301.0579

- id: LiuStability2010
  accessed:
    - year: 2014
      month: 6
      day: 23
  author:
    - family: Liu
      given: Han
    - family: Roeder
      given: Kathryn
    - family: Wasserman
      given: Larry
  citation-key: LiuStability2010
  container-title: Advances in Neural Information Processing Systems 23
  editor:
    - family: Lafferty
      given: J. D.
    - family: Williams
      given: C. K. I.
    - family: Shawe-Taylor
      given: J.
    - family: Zemel
      given: R. S.
    - family: Culotta
      given: A.
  issued:
    - year: 2010
  page: 1432–1440
  publisher: Curran Associates, Inc.
  title: >-
    Stability Approach to Regularization Selection (StARS) for High Dimensional
    Graphical Models
  type: chapter
  URL: >-
    http://papers.nips.cc/paper/3966-stability-approach-to-regularization-selection-stars-for-high-dimensional-graphical-models.pdf

- id: MeinshausenStability2010
  accessed:
    - year: 2014
      month: 7
      day: 18
  author:
    - family: Meinshausen
      given: Nicolai
    - family: Bühlmann
      given: Peter
  citation-key: MeinshausenStability2010
  container-title: 'Journal of the Royal Statistical Society: Series B (Statistical Methodology)'
  DOI: 10.1111/j.1467-9868.2010.00740.x
  ISSN: 1467-9868
  issue: '4'
  issued:
    - year: 2010
      month: 9
      day: 1
  language: en
  page: 417-473
  title: Stability selection
  type: article-journal
  URL: http://arxiv.org/abs/0809.2932
  volume: '72'

- id: MengGeneralization2016
  accessed:
    - year: 2016
      month: 9
      day: 28
  author:
    - family: Meng
      given: Qi
    - family: Wang
      given: Yue
    - family: Chen
      given: Wei
    - family: Wang
      given: Taifeng
    - family: Ma
      given: Zhi-Ming
    - family: Liu
      given: Tie-Yan
  citation-key: MengGeneralization2016
  container-title: arXiv:1609.08397 [stat]
  issued:
    - year: 2016
      month: 9
      day: 27
  page: 441–474
  title: Generalization Error Bounds for Optimization Algorithms via Stability
  type: paper-conference
  URL: http://arxiv.org/abs/1609.08397
  volume: '10'

- id: XuSparse2012
  author:
    - family: Xu
      given: H.
    - family: Caramanis
      given: C.
    - family: Mannor
      given: S.
  citation-key: XuSparse2012
  container-title: IEEE Transactions on Pattern Analysis and Machine Intelligence
  DOI: 10.1109/TPAMI.2011.177
  ISSN: 0162-8828
  issue: '1'
  issued:
    - year: 2012
      month: 1
  page: 187-193
  title: 'Sparse Algorithms Are Not Stable: A No-Free-Lunch Theorem'
  type: article-journal
  URL: http://guppy.mpe.nus.edu.sg/~mpexuh/papers/NFL.pdf
  volume: '34'

- id: YuStability2013
  accessed:
    - year: 2016
      month: 5
      day: 25
  author:
    - family: Yu
      given: Bin
  citation-key: YuStability2013
  container-title: Bernoulli
  container-title-short: Bernoulli
  DOI: 10.3150/13-BEJSP14
  ISSN: 1350-7265
  issue: '4'
  issued:
    - year: 2013
      month: 9
  language: EN
  page: 1484-1500
  title: Stability
  type: article-journal
  volume: '19'

- id: ZhangUnderstanding2017
  author:
    - family: Zhang
      given: Chiyuan
    - family: Bengio
      given: Samy
    - family: Hardt
      given: Moritz
    - family: Recht
      given: Benjamin
    - family: Vinyals
      given: Oriol
  citation-key: ZhangUnderstanding2017
  container-title: Proceedings of ICLR
  event-title: ICLR
  issued:
    - year: 2017
  title: Understanding deep learning requires rethinking generalization
  type: paper-conference
  URL: http://arxiv.org/abs/1611.03530
...
